Summary: A tool which will start a program on a virtual console.
Summary(ja): 仮想コンソール上でプログラムを起動する為のツール
Name: open
Version: 1.4
Release: 24vl1
License: GPL
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/utils/console/open-%{version}.tar.gz
Patch: open-1.4-includes.patch
Patch1: open-1.4-cflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x


%description
The open command starts a specified command with the first available
virtual console, or on a virtual console that you specify.

Install the open package if you regularly use virtual consoles to run
programs.

%description -l ja
open コマンドは指定されたコマンドを一番最初に見付かった仮想コンソール上で
起動させます．どの仮想コンソールを使うかを指定することも出来ます．

仮想コンソールでプログラムをよく起動する必要がある場合は
open パッケージをインストールして下さい．


%prep
%setup -q
%patch -p1
%patch1 -p1 -b .cflags

%build
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1 \
         $RPM_BUILD_ROOT%{_bindir}

make BINDIR=$RPM_BUILD_ROOT%{_bindir} \
     MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/*
%attr(644,root,root) %{_mandir}/*/*


%changelog
* Sat Sep 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4-24vl1
- s/Copyright/License/
- added Patch1 from fedora
  * Tue Feb 15 2005 Than Ngo <than@redhat.com> 1.4-23
  - use $RPM_OPT_FLAGS

* Mon Apr  7 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.4-16vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4-16vl1
- based on 1.4-16 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.4-14
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- fix wrong permissions (Bug #29005)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, use RPM macros

* Sat May 20 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man pages /usr/share/man/*

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man pages / new description

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- changed source url to ftp://...
- fixed braindeadness with NAME_MAX

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
